Hypercube Transcoder

Hypercube Transcoder v3.0

Hypercube can :

  • Use any DirectShow Filters as input audio stream.
  • Convert DolbyDigital AC3 files to MPEG multichannels audio files.
  • Convert DolbyDigital AC3 audio tracks from AVI to MPEG multichannels audio files.
  • Convert Multichannel WAV audio files to MPEG multichannels audio files.
  • Apply Normalisation and Dynamic Range Processing on each channels.

Input Filename:

Type here the AC3 filename or the AVI filename.

Output Filename:

Type here the MP2 filename.

Batch:

Show the batch window .

Engine Selection:

MPEG Engine: if you want to produce Multichannel mpeg stream.

PCM Engine: if you want to produce 6 raw pcm files.

Input Audio Resync:

Use this parameter to correct synchronisation problems between video and audio tracks.

Processing type:

Use "DirectShow processing" if you plan to use DirectShow Filters as input.

Use "Native Processing" if you plan to use 5.1 WAV or AC3/AVI.

Channels Processing:

Use this section to change channels assignation in final MPEG bitstream. This can be usefull if your DVD player play the six channels in wrong order.

For each channel you can also specify the normalisation level and a dynamix range processing (DRP) curve.You can click on each grid to edit DRP curve.

Global Setting:

- Output Bitrate:

Use this parameter to specify output bitrate for MPEG Multichannel.

- Output Audio Frequency:

Use this parameter to specify output audio frequency.

Note:

  • AC3 frequency must be 48000 Hz
  • If you select 44100 Hz, the audio is resampled with order 1 linear interpolation filter.
- Normalize:

Enable / Disable normalisation .

- DRP:

Enable / Disable dynamic range processing .

- Task Priority:

Set the task priority.

DirectShow Filter Graph:

This grid show you all the filters used to read your input file. You

Can insert another filter. See Use DirectShow.

Transcode:

Perform transcoding.

Note:

  • On Athlon 900Mhz, 1H30 of AC3 audio is transcoded in 2 Hours.


About Batch Processing

  1. Click on "Batch" button in the main window to open the batch processing window.
  2. Simply Drag & Drop your AC3 files in the window and click "OK"
  3. Start Batch Processing with the "Transcode" Button, in the main window.

In the current version of Hypercube Transcoder, Normalisation and DRP setting are the same for all files.


About Normalisation

Normalization is used to achieve the greatest amount of amplification that will not result in clipping. The clipping effect is very simple to explain: audio samples are coded in 16bits so there is a maximum and a minimum for each sample values:

    • -32768 <= sample_value <= 32767

Applying clipping on each sample is a stuff like this:

    • if sample_value > 32767 then sample_value = 32767
    • if sample_value <= -32768 then sample_value= -32768

When you must apply clipping the sound become bad, with a lot of saturation. This mean that your audio track is too lound to be encoded on 16bits values. You must use normalisation to avoid clipping.

Normalisation can be done in two pass.

In the first pass the maximum peak level is found. Here -3dB.

In the second pass, the normalisation can be achieved. You must choose an output volume for the maximum peak level. Each sample is calculated with the following equation:

new_sample_volume = (current_sample_volume * max_peak_output_volume) / max_peak_volume

with max_peak_volume = -3dB and max_peak_output_volume = 0dB, the following waveform is computed:

In Hypercube Transcoder, the max_peak_output_volume can be set with the scrollbar "1" for each channel.You can see in 2, its value.

During the first pass, the max_peak_volume will be shown in 3.
(section 4 is related to Dynamic Range Processing)

Normalisation with multichannel soundtracks

In most of cases, channels are not independents. A lot of sounds in the movie are spacialized with reverberation effects or they are moving very precisely in the space. Applying normalisation without precaution can destroy the spacialisation effects of the movie.

This is important to apply the same max_peak_output_volume (1) with related channels. Hypercube transcoder can use different method to achieve normalisation for each type of movie:

Normalisation method | Movie type
(C) (L) (R) (LS) (RS) (LFE) | Poor spacialization FX.
(C) (L R) (LS RS) (LFE) | Center: dialog Left and Right Front: Music Left and Right Surround: FX
(C) (L R LS RS) (LFE) | Center: dialog FX are moving in front and rear speakers.
(C L R LS RS) (LFE) | FX are moving in all speakers. (Gladiator, StarWars...)

If you want to preserve spacialisation effects, use only the last configuration: (C L R LS RS) (LFE).


About Dynamic Range Processing

The dynamics range processing (DRP) varies the output level of a waveform, based on its input level. This lets you limit or compress the dynamic range of a sample so that the perceived loudness is kept below a defined limit, or so that the waveform's overall dynamic range is kept at roughly the same level. You can also expand or gate the signal so that low-level signals are reduced in level, thereby increasing the perceived dynamic range, or so that signals that fall below a certain threshold [i.e. noise] are eliminated.

With Hypercube Transcoder you can design a graph for each channels of your movie. Simply click on the channel graph of your choice to open the DRP window.

The graph depicts input level along the x-axis (left and right) and the new output level along the y-axis (up and down). A line that flows directly from the lower-left to the upper-right (default) depicts a signal that has been left untouched, since every input value goes to the exact matching output value. Adjusting the shape of this line will adjust the input or output assignments, thereby altering the dynamic range. For example, you can boost all input that has a level of around -20dB, leaving everything else unchanged. You can also draw an inverse line (a line from upper-left to lower-right) that will dramatically boost low amplitudes while dramatically suppressing high amplitudes (that is, all quiet sounds will be loud, and all loud sounds will be quiet.)

  • To add a point to the graph, click in the grid at the location where you would like the point placed.
  • To move a point on the graph, click and hold on the point and drag it to a new location.

Release Time:

This is the release time applied when retrieving the current amplitude information. Release Time is the time it takes the end of a previous output level to reach the specified output volume. For example, where the Attack is the time it takes for the start of a pulse to reach the desired output volume, the Release is the time it takes for the end of the pulse to reach the desired level.

If the Release time is too short, audible effects, such as a "vibrating" sound, can be heard. Thus, a total value of about 30 ms is about as low as you can go without introducing these effects.

DRP with multichannel soundtracks

In most of cases, channels are not independents. A lot of sounds in the movie are spacialized with reverberation effects or they are moving very precisely in the space. Applying DRP without precaution can destroy the spacialisation effects of the movie.

Hypercube transcoder can use different method to achieve DRP for each type of movie:

DRP method | Movie type
(C) (L) (R) (LS) (RS) (LFE) | Poor spacialization FX.
(C) (L R) (LS RS) (LFE) | Center: dialog Left and Right Front: Music Left and Right Surround: FX
(C) (L R LS RS) (LFE) | Center: dialog FX are moving in front and rear speakers.
(C L R LS RS) (LFE) | FX are moving in all speakers. (Gladiator, StarWars...)

If you want to preserve spacialisation effects, use only the last configuration: (C L R LS RS) (LFE).


Using Contextual Menu

Contextual Menu

You can use Contextual Menu to modify the DirectShow Graph.

Show Filter Settings

Somes filters allow you to open a configuration dialog. Choose "Settings.." to open this dialog. Settings are saved in Hypercube Transcoder install directory.

Hypercube Transcoder use two techniques to save and restore filter settings:

- DCOM serialization: if the filter implement it.

- Dialog controls scanning: if the filter does not implement DCOM serialization.

When the second mode is used, you will see the filter dialog open and close very quickly. This is normal. Hypercube Transcoder is scaning all dialog controls. If the dialog is too complex, it is not possible to save its state with this method.

Remove

Remove the selected filter.

Insert

Open the filter selection window. This dialog show you all filters registred in your operating system.

Connect/Disconnect Pins

The menu show you each connected/unconneced pins with their internal name.

"AC3 Filter Out" is the internal name for example.

The next column in the grid show you the MediaFormat for the first Input Pin and the First Output Pin of your filter. If the filter implements more pins, you won't see thier MediaFormat.


MediaFormat

Pin MediaFormat

Hypercube Transcoder show you only two MediaFormat. One for the first Input Pin and one for the Output Pin because most of Audio Filter have only one input pin and one output pin. This should be suffisant.

If you have some trouble to connect two pins, this is because there is a MediaFormat incompatiblity. Consult Filters capability.

Becarefull with MediaFormat: sometimes, channel number is completly wrong. So Hypercube Transcoder doesn't check the input format from DirectShow. Input Format must be:

48Khz 5.1 Channels 16 bits

You can connect stereo stream in Hypercube Transcoder, but the resulting MP2 stream will be completely wrong.


Hypercube Wrapper Filter

Hypercube Transcoder executable host its own DirectShow Filter. You have to use this filter in the end of your graph to redirect your audio stream into encoder engine.

When you open a file, hypercube transcoder call "Render" function in DirectShow API. this is like GraphEdit application. The graph is build automatically. After this operation, the last filter(Audio renderer) is removed and replaced by the internal Filter: "Hypercube Wrapper" Sometimes, if the graph is complex, this operation can't be done automatically. So you have to do it "by the hand".


Dolby Digital

Dolby Digital AC-3 is a flexible audio data compression technology capable of encoding a range of audio channel formats into a low rate bit stream. Channel formats range from monophonic to 5.1 channels, and may include a number of associated audio services. Based on a transform filter bank and psychoacoustics, AC-3 includes the novel features of transmission of a variable frequency resolution spectral envelope and hybrid backward/forward adaptive bit allocation.

5.1 AC3 files contain following channels:

  • Left.
  • Right.
  • Center.
  • Right Surround.
  • Left Surround.
  • Low Frequency Effect: channel of limited (<120 Hz) bandwidth,which is intended to be reproduced at a level +10 dB. This channel allows high sound pressure levels to be provided for low frequency.

Actually, Hypercube Transcoder only support 5.1 AC3 files at 48000Hz as input format.


Multichannel MPEG

MPEG Surround is the official European standard for multi channel DVD surround, however very few disks use this format. It can offer up to 7.1 channels of audio; however it is easily surpassed in terms of quality of sound by both Dolby Digital and DTS. It never gained wide acceptance in the industry with producers preferring to use the existing soundtracks produced for other versions such as the US which were commonly already in Dolby Digital or DTS.

SVCD audio tracks can be coded in Multichannel MPEG format. Technically, Multichannel MPEG is an extension of MPEG-1 Layer II audio format. You can play such stream in Windows Media Player like any MPEG-1 audio file but only Left and right channels will be played.The Multichannel extension part of the stream will be simply ignored.

DVD Players, like Phillips 762, can play SVCD with 2 Multichannels MPEG audio tracks.

5.1 MPEG files contain following channels:

  • Left.
  • Right.
  • Center.
  • Right Surround.
  • Left Surround.
  • Low Frequency Enhancemment: The purpose of this channel is to enable listeners, who choose to, to extend the low frequency content of the reproduced program in terms of both frequency and level. The sampling frequency of the LFE channel corresponds to the sampling frequency of the main channels, divided by a factor of 96. This provides 12 LFE samples within one audio frame. The LFE channel is capable of handling signals in the range from 15 Hz to 120 Hz

Actually, Hypercube Transcoder can produce following formats:

  • 44100Hz 384 kbps 5.1 Multichannel MPEG audio files.
  • 48000Hz 384 kbps 5.1 Multichannel MPEG audio files.


Hypercube Softwares

Download latest version of Hypercube Transcoder at:

http://hypercube.is.dreaming.org